## gimpbrushmenu gimpbrushmenu |

## Functions

GtkWidget * | gimp_brush_select_widget_new ()
void | gimp_brush_select_widget_close ()
void | gimp_brush_select_widget_set ()

## Description

## Functions

### gimp_brush_select_widget_new ()

    GtkWidget *
    gimp_brush_select_widget_new (const gchar *title,
                                  const gchar *brush_name,
                                  gdouble opacity,
                                  gint spacing,
                                  GimpLayerModeEffects paint_mode,
                                  GimpRunBrushCallback callback,
                                  gpointer data);

`gimp_brush_select_widget_new` is deprecated and should not be used in newly-written code.

### gimp_brush_select_widget_close ()

    void
    gimp_brush_select_widget_close (GtkWidget *widget);

`gimp_brush_select_widget_close` is deprecated and should not be used in newly-written code.

### gimp_brush_select_widget_set ()

    void
    gimp_brush_select_widget_set (GtkWidget *widget,
                                  const gchar *brush_name,
                                  gdouble opacity,
                                  gint spacing,
                                  GimpLayerModeEffects paint_mode);

`gimp_brush_select_widget_set` is deprecated and should not be used in newly-written code.

## Types and Values